# $Revision: 1.9 $, $Date: 2007/02/13 07:16:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	DBI-Plugin-Type
Summary:	Determine type information for columns
Summary(pl.UTF-8):	Określanie informacji o typie dla kolumn
Name:		perl-Class-DBI-Plugin-Type
Version:	0.02
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2f80426ccc67629543404ee9376a6d3e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-DBI
BuildRequires:	perl-DBD-SQLite
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows Class::DBI-based classes to query their columns for
data type information in a database-independent manner.

%description -l pl.UTF-8
Ten moduł pozwala klasom opartym na Class::DBI na odpytywanie kolumn
o informacje o typie w sposób niezależny od bazy danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/DBI/Plugin/Type.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-DBI-Plugin-Type.spec,v $
Revision 1.9  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.7  2004/11/03 22:30:09  paladine
- formatting

Revision 1.6  2004/06/04 09:33:43  ankry
- reversed last change, rel. 3

Revision 1.5  2004/06/03 14:11:50  radek
- BR: perl-DBIx-ContextualFetch

Revision 1.4  2004/04/18 16:56:34  ankry
- license fixes and unification

Revision 1.3  2004/04/13 11:57:11  migo
- do not include Plugin directory in package
- release 2

Revision 1.2  2004/04/09 13:38:11  qboosh
- pl

Revision 1.1  2004/04/09 11:33:05  migo
- initial revision
